﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CS.aspx.cs" Inherits="CS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/angularjs/1.3.9/angular.min.js"></script>
    <script src="AnguAutoComplete/angucomplete-alt.js"></script>
    <link href="AnguAutoComplete/angucomplete-alt.css" rel="stylesheet" />
    <script type="text/javascript">
        var app = angular.module('MyApp', ['angucomplete-alt'])
        app.controller('MyController', function ($scope, $http, $window) {
            $scope.Customers = null;
            $scope.SelectedCustomer = null;

            var post = $http({
                method: "POST",
                url: "CS.aspx/GetCustomers",
                dataType: 'json',
                data: {},
                headers: { "Content-Type": "application/json" }
            });

            post.success(function (data, status) {
                $scope.Customers = data.d;
            });

            post.error(function (data, status) {
                $window.alert(data.Message);
            });

        });
    </script>
    <div ng-app="MyApp" ng-controller="MyController">
        <div angucomplete-alt id="txtCustomers" placeholder="Customer Name" pause="100" selected-object="SelectedCustomer"
            local-data="Customers" search-fields="ContactName" title-field="ContactName"
            minlength="1" input-class="form-control" match-class="highlight">
        </div>
        <hr />
        Selected Customer : {{SelectedCustomer.title}}
    </div>
    </form>
</body>
</html>
